> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_account_notifications.md).

# nats\_display\_account\_notifications

*Article Topics:* [*Customization*](/getting-started/common-topics/customization.md)*,* [*Templates*](/getting-started/common-topics/templates.md)

Alias: display\_account\_notifications

## Parameters

(*Required parameters in bold)*

| Parameter                                                                                                       | Description                                                      | Possible Values                            | Default Value                      | Example                |
| --------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------- | ------------------------------------------ | ---------------------------------- | ---------------------- |
| show\_all                                                                                                       | Show deleted messages in addition to undeleted messages          | 0 or 1 (exclusive)                         | 0. Shows only undeleted messages   | show\_all="1"          |
| count                                                                                                           | How many messages to show                                        | Any number greater than zero               | 10. Shows 10 messages              | count="20"             |
| mystart                                                                                                         | Skip this many received messages                                 | Any number greater than, or equal to, zero | 0. Skips no messages               | mystart="10"           |
| sentstart                                                                                                       | Skip this many sent messages                                     | Any number greater than, or equal to, zero | 0. Skips no messages               | sentstart="10"         |
| [assign\_prefix](/nats-admin/skins-and-templates/further-reading/template-function-parameters/assign_prefix.md) | Prefix output variables with this word. (Click link for details) | Any valid Smarty variable name             | *None.* (No prefix is used)        | assign\_prefix="myvar" |
| [data\_only](/nats-admin/skins-and-templates/further-reading/template-function-parameters/data_only.md)         | Set variables but don't display the template                     | 1                                          | *None.* The template is displayed. | data\_only=1           |

## Output

The messages this affiliate has received or sent. The list of received messages are also stored in the Smarty array, *$my\_note*; the number of messages in *$my\_note* is stored in the Smarty variable, *$my\_note\_count*. The list of sent messages are also stored in the Smarty array, *$sent\_note*; the number of messages in *$sent\_note* is stored in the Smarty variable *$sent\_note\_count*.

## See Also

* [Affiliate Messages](/affiliate-area/affiliate-area/my-account/affiliate-messages.md) -- The NATS default Affiliate Messages tab


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_account_notifications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
